"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ng_bootstrap_1 = require("@ng-bootstrap/ng-bootstrap");
var ModalTipComponent = (function () {
    function ModalTipComponent(activeModal) {
        this.activeModal = activeModal;
    }
    ModalTipComponent.prototype.closeModal = function (type) {
        /*this.activeModal.close({
              data: '数据'
            });*/
        if (type == 'ok') {
            this.activeModal.close('ok');
        }
        else {
            this.activeModal.dismiss('cancel');
        }
    };
    ModalTipComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'dc-modal-tip',
                    template: "\n  <div>title</div>\n<div>body</div>\n<div>\n  <button (click)=\"closeModal('ok')\">\u786E\u8BA4</button>\n  <button (click)=\"closeModal('close')\">\u53D6\u6D88</button>\n</div>\n  ",
                    styles: [],
                },] },
    ];
    /** @nocollapse */
    ModalTipComponent.ctorParameters = function () { return [
        { type: ng_bootstrap_1.NgbActiveModal, },
    ]; };
    return ModalTipComponent;
}());
exports.ModalTipComponent = ModalTipComponent;
//# sourceMappingURL=modal.tip.component.js.map